> For the complete documentation index, see [llms.txt](https://docs.gestao.plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gestao.plus/api/public/order_details_public.md).

# Detalhes do Pedido

## Detalhes do Pedido

<mark style="color:blue;">`GET`</mark> `https://api.gestao.plus/order/info?t=`

Esta rota permite que você visualize as informações de um pedido

#### Query Parameters

| Name                                | Type   | Description             |
| ----------------------------------- | ------ | ----------------------- |
| t<mark style="color:red;">\*</mark> | string | Identificador do pedido |

#### Headers

| Name                                     | Type   | Description                 |
| ---------------------------------------- | ------ | --------------------------- |
| Origin<mark style="color:red;">\*</mark> | string | URL de origem da requisição |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": {
        "id": 593,
        "type": "V",
        "code": "0000593098",
        "date": {
            "date": "2021-03-02 21:02:53.000000",
            "timezone_type": 3,
            "timezone": "UTC"
        },
        "status": 1,
        "orderDiscount": 0,
        "orderTotal": 150,
        "statusPayment": "CONCLUIDO",
        "user": {
            "id": 2,
            "document": "123421341234",
            "name": "Solucoes Inteligentes Servicos EIRELI",
            "stateRegistration": null,
            "email": "example@exemple.com",
            "phone": null,
            "cellphone": "123423434",
            "state": "PB",
            "city": "Joao Pessoa",
            "address": "Avenida Dom Pedro ii",
            "neighborhood": "Centro",
            "number": 972,
            "addressDetail": "Sala 107",
            "zipCode": "1232343"
        },
        "orderItems": [
            {
                "id": 483,
                "quantity": 1,
                "price": 150,
                "description": "CERTIFICADO PJ A1",
                "image": {
                    "name": "cert_soluti_a1_4_7.png",
                    "description": "cert_soluti_a1_4_7.png",
                    "href": "https://dev.gestao.plus/file?q={}=="
                }
            }
        ],
        "financialItems": [
            {
                "id": 488,
                "code": "GOPAGHOM_708=============a",
                "dueDate": {
                    "date": "2021-03-02 00:00:00.000000",
                    "timezone_type": 3,
                    "timezone": "UTC"
                },
                "installment": 1,
                "amountPaid": 75,
                "amount": 75,
                "type": "CARTAO_CREDITO",
                "status": "LIQUIDADO",
                "payment": []
            },
            {
                "id": 489,
                "code": "GOPAGHOM_708f=============0b954a",
                "dueDate": {
                    "date": "2021-04-01 00:00:00.000000",
                    "timezone_type": 3,
                    "timezone": "UTC"
                },
                "installment": 2,
                "amountPaid": 75,
                "amount": 75,
                "type": "CARTAO_CREDITO",
                "status": "LIQUIDADO",
                "payment": []
            }
        ],
        "attachmentItems": [
            {
                "id": 140,
                "description": "Hello world",
                "type": 0,
                "typeDescription": "Boleto",
                "name": "hello-world.pdf",
                "href": "https://dev.gestao.plus/file?forceDownload=false&q=e2dvb2RfbG9va317ImRhdGEiOnsidXVpZCI6IjUyMjhjOTNhLTdiYTAtMTFlYi1iMzNiLTAyNDJhYzExMDAwMyJ9LCJobWFjIjoiMmNiMzc1MjQ2NThjZjQ3Njg4NTA3OGVjYmIwYWFhMjJlYzE2YTA4OTVhNTY3NDU5NDM2NDFiMjJmNzhhNzZlZSIsIm5vbmNlIjoiNDQ2MDE2MjIwNjI2MzAifQ=="
            }
        ],
        "negotiationType": {
            "id": 22,
            "description": "E-commerce - Cartão de crédito 2x",
            "paymentSettings": {
                "paymentMethod": "CARTAO_CREDITO",
                "installments": 2
            },
            "installments": [
                {
                    "id": 38,
                    "paymentMethod": "CARTAO_CREDITO",
                    "generatePaymentBoleto": null,
                    "generatePaymentCreditCard": true,
                    "installmentDueDate": 0,
                    "installmentPercent": 50,
                    "installmentsType": 2,
                    "installments": 2,
                    "installment": 1
                },
                {
                    "id": 39,
                    "paymentMethod": "CARTAO_CREDITO",
                    "generatePaymentBoleto": null,
                    "generatePaymentCreditCard": true,
                    "installmentDueDate": 30,
                    "installmentPercent": 50,
                    "installmentsType": 2,
                    "installments": 2,
                    "installment": 2
                }
            ]
        }
    },
    "type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
    "title": "Unknown",
    "status": 200,
    "detail": "ok"
}
```

{% endtab %}

{% tab title="403 " %}

```
{
    "type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
    "title": "Forbidden",
    "status": 403,
    "detail": "Forbidden (Invalid token)"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gestao.plus/api/public/order_details_public.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
